diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wifi/test/wifi-test.cc ns-3.38/src/wifi/test/wifi-test.cc
--- ns-3.37/src/wifi/test/wifi-test.cc	2022-11-01 17:37:24.763395800 -0700
+++ ns-3.38/src/wifi/test/wifi-test.cc	2023-03-16 20:54:23.876869400 -0700
@@ -1095,7 +1095,7 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 7, "802.11ax-6GHz configuration");
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 80, "802.11ax-6GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5975, "802.11ax-6GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5985, "802.11ax-6GHz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -2161,6 +2161,20 @@
                                    uint8_t tid,
                                    OriginatorBlockAckAgreement::State state);
     /**
+     * Callback when a frame is transmitted.
+     * \param rxErrorModel the post reception error model on the receiver
+     * \param context the context
+     * \param psduMap the PSDU map
+     * \param txVector the TX vector
+     * \param txPowerW the tx power in Watts
+     */
+    void TxCallback(Ptr<ListErrorModel> rxErrorModel,
+                    std::string context,
+                    WifiConstPsduMap psduMap,
+                    WifiTxVector txVector,
+                    double txPowerW);
+
+    /**
      * Callback when packet is received
      * \param context node context
      * \param p the received packet
@@ -2195,10 +2209,9 @@
                          Address& destination) const;
     /**
      * Run subtest for this test suite
-     * \param apErrorModel ErrorModel used for AP
-     * \param staErrorModel ErrorModel used for STA
+     * \param rcvErrorType type of station (STA or AP) to install the post reception error model on
      */
-    void RunSubtest(PointerValue apErrorModel, PointerValue staErrorModel);
+    void RunSubtest(TypeOfStation rcvErrorType);
 
     uint16_t m_receivedNormalMpduCount; ///< Count received normal MPDU packets on STA
     uint16_t m_receivedAmpduCount;      ///< Count received A-MPDU packets on STA
@@ -2258,6 +2271,25 @@
 }
 
 void
+Bug2470TestCase::TxCallback(Ptr<ListErrorModel> rxErrorModel,
+                            std::string context,
+                            WifiConstPsduMap psduMap,
+                            WifiTxVector txVector,
+                            double txPowerW)
+{
+    auto psdu = psduMap.begin()->second;
+
+    // The sender is transmitting an ADDBA_REQUEST or ADDBA_RESPONSE frame. If this is
+    // the first attempt at establishing a BA agreement (i.e., before the second set of packets
+    // is generated), make the reception of the frame fail at the receiver.
+    if (psdu->GetHeader(0).GetType() == WIFI_MAC_MGT_ACTION && Simulator::Now() < Seconds(0.8))
+    {
+        auto uid = psdu->GetPayload(0)->GetUid();
+        rxErrorModel->SetList({uid});
+    }
+}
+
+void
 Bug2470TestCase::RxCallback(std::string context,
                             Ptr<const Packet> p,
                             uint16_t channelFreqMhz,
@@ -2307,7 +2339,7 @@
 }
 
 void
-Bug2470TestCase::RunSubtest(PointerValue apErrorModel, PointerValue staErrorModel)
+Bug2470TestCase::RunSubtest(TypeOfStation rcvErrorType)
 {
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(1);
@@ -2332,13 +2364,11 @@
 
     WifiMacHelper mac;
     NetDeviceContainer apDevice;
-    phy.Set("PostReceptionErrorModel", apErrorModel);
     phy.Set("ChannelSettings", StringValue("{36, 20, BAND_5GHZ, 0}"));
     mac.SetType("ns3::ApWifiMac", "EnableBeaconJitter", BooleanValue(false));
     apDevice = wifi.Install(phy, mac, wifiApNode);
 
     NetDeviceContainer staDevice;
-    phy.Set("PostReceptionErrorModel", staErrorModel);
     mac.SetType("ns3::StaWifiMac");
     staDevice = wifi.Install(phy, mac, wifiStaNode);
 
@@ -2356,6 +2386,21 @@
     mobility.Install(wifiApNode);
     mobility.Install(wifiStaNode);
 
+    auto rxErrorModel = CreateObject<ListErrorModel>();
+    Ptr<WifiMac> wifiMac;
+    switch (rcvErrorType)
+    {
+    case AP:
+        wifiMac = DynamicCast<WifiNetDevice>(apDevice.Get(0))->GetMac();
+        break;
+    case STA:
+        wifiMac = DynamicCast<WifiNetDevice>(staDevice.Get(0))->GetMac();
+        break;
+    default:
+        NS_ABORT_MSG("Station type " << +rcvErrorType << " cannot be used here");
+    }
+    wifiMac->GetWifiPhy(0)->SetPostReceptionErrorModel(rxErrorModel);
+
     Config::Connect(
         "/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::WifiPhy/MonitorSnifferRx",
         MakeCallback(&Bug2470TestCase::RxCallback, this));
@@ -2364,6 +2409,9 @@
     Config::Connect("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/$ns3::WifiMac/BE_Txop/"
                     "BlockAckManager/AgreementState",
                     MakeCallback(&Bug2470TestCase::AddbaStateChangedCallback, this));
+    Config::Connect("/NodeList/" + std::to_string(rcvErrorType == STA ? 0 /* AP */ : 1 /* STA */) +
+                        "/DeviceList/*/$ns3::WifiNetDevice/Phys/0/PhyTxPsduBegin",
+                    MakeCallback(&Bug2470TestCase::TxCallback, this).Bind(rxErrorModel));
 
     Simulator::Schedule(Seconds(0.5),
                         &Bug2470TestCase::SendPacketBurst,
@@ -2398,35 +2446,19 @@
 void
 Bug2470TestCase::DoRun()
 {
-    // Create ReceiveListErrorModel to corrupt ADDBA req packet. We use ReceiveListErrorModel
-    // instead of ListErrorModel since packet UID is incremented between simulations. But
-    // problem may occur because of random stream, therefore we suppress usage of RNG as
-    // much as possible (i.e., removing beacon jitter).
-    Ptr<ReceiveListErrorModel> staPem = CreateObject<ReceiveListErrorModel>();
-    std::list<uint32_t> blackList;
-    // Block ADDBA request 6 times (== maximum number of MAC frame transmissions in the ADDBA
-    // response timeout interval)
-    blackList.push_back(9);
-    blackList.push_back(10);
-    blackList.push_back(11);
-    blackList.push_back(12);
-    blackList.push_back(13);
-    blackList.push_back(14);
-    staPem->SetList(blackList);
-
     {
-        RunSubtest(PointerValue(), PointerValue(staPem));
-        NS_TEST_ASSERT_MSG_EQ(m_failedActionCount, 6, "ADDBA request packets are not failed");
+        RunSubtest(STA);
+        NS_TEST_ASSERT_MSG_EQ(m_failedActionCount, 7, "ADDBA request packets are not failed");
         // There are two sets of 5 packets to be transmitted. The first 5 packets should be sent by
         // normal MPDU because of failed ADDBA handshake. For the second set, the first packet
-        // should be sent by normal MPDU, and the rest with A-MPDU. In total we expect to receive 2
-        // normal MPDU packets and 8 A-MPDU packets.
+        // should be sent by normal MPDU, and the rest with A-MPDU. In total we expect to receive 6
+        // normal MPDU packets and 4 A-MPDU packet.
         NS_TEST_ASSERT_MSG_EQ(m_receivedNormalMpduCount,
-                              2,
+                              6,
                               "Receiving incorrect number of normal MPDU packet on subtest 1");
         NS_TEST_ASSERT_MSG_EQ(m_receivedAmpduCount,
-                              8,
-                              "Receiving incorrect number of A-MPDU packet on subtest 1");
+                              4,
+                              "Receiving incorrect number of A-MPDU packets on subtest 1");
 
         NS_TEST_ASSERT_MSG_EQ(m_addbaEstablishedCount,
                               1,
@@ -2434,7 +2466,7 @@
                               "established state on subtest 1");
         NS_TEST_ASSERT_MSG_EQ(
             m_addbaPendingCount,
-            1,
+            2,
             "Incorrect number of times the ADDBA state machine was in pending state on subtest 1");
         NS_TEST_ASSERT_MSG_EQ(
             m_addbaRejectedCount,
@@ -2442,11 +2474,11 @@
             "Incorrect number of times the ADDBA state machine was in rejected state on subtest 1");
         NS_TEST_ASSERT_MSG_EQ(
             m_addbaNoReplyCount,
-            0,
+            1,
             "Incorrect number of times the ADDBA state machine was in no_reply state on subtest 1");
         NS_TEST_ASSERT_MSG_EQ(
             m_addbaResetCount,
-            0,
+            1,
             "Incorrect number of times the ADDBA state machine was in reset state on subtest 1");
     }
 
@@ -2459,19 +2491,9 @@
     m_addbaNoReplyCount = 0;
     m_addbaResetCount = 0;
 
-    Ptr<ReceiveListErrorModel> apPem = CreateObject<ReceiveListErrorModel>();
-    blackList.clear();
-    // Block ADDBA request 4 times (== maximum number of MAC frame transmissions in the ADDBA
-    // response timeout interval)
-    blackList.push_back(5);
-    blackList.push_back(6);
-    blackList.push_back(7);
-    blackList.push_back(9);
-    apPem->SetList(blackList);
-
     {
-        RunSubtest(PointerValue(apPem), PointerValue());
-        NS_TEST_ASSERT_MSG_EQ(m_failedActionCount, 4, "ADDBA response packets are not failed");
+        RunSubtest(AP);
+        NS_TEST_ASSERT_MSG_EQ(m_failedActionCount, 7, "ADDBA response packets are not failed");
         // Similar to subtest 1, we also expect to receive 6 normal MPDU packets and 4 A-MPDU
         // packets.
         NS_TEST_ASSERT_MSG_EQ(m_receivedNormalMpduCount,
@@ -2487,7 +2509,7 @@
                               "established state on subtest 2");
         NS_TEST_ASSERT_MSG_EQ(
             m_addbaPendingCount,
-            1,
+            2,
             "Incorrect number of times the ADDBA state machine was in pending state on subtest 2");
         NS_TEST_ASSERT_MSG_EQ(
             m_addbaRejectedCount,
@@ -2499,7 +2521,7 @@
             "Incorrect number of times the ADDBA state machine was in no_reply state on subtest 2");
         NS_TEST_ASSERT_MSG_EQ(
             m_addbaResetCount,
-            0,
+            1,
             "Incorrect number of times the ADDBA state machine was in reset state on subtest 2");
     }
 
@@ -2560,7 +2582,7 @@
     uint16_t m_rxCount; ///< Count number of successfully received data packets
     uint16_t m_txCount; ///< Count number of transmitted data packets
     uint16_t
-        m_txMacFinalDataFailedCount; ///< Count number of unsuccessfully transmitted data packets
+        m_txMacFinalDataFailedCount; ///< Count number of unsuccessfuly transmitted data packets
 };
 
 Issue40TestCase::Issue40TestCase()
@@ -2677,7 +2699,7 @@
                         staDevice.Get(0)->GetAddress());
 
     // Transmit a second data packet once the station is away from the access point: it should be
-    // sent with the same high modulation and be unsuccessfully received
+    // sent with the same high modulation and be unsuccessfuly received
     Simulator::Schedule(Seconds(2.0),
                         &Issue40TestCase::SendPackets,
                         this,
@@ -3483,7 +3505,7 @@
                         staDevice.Get(0)->GetAddress());
     // Selected NSS should be 2 since both TX and RX support 2 antennas
     Simulator::Schedule(Seconds(9.2), &IdealRateManagerMimoTest::CheckLastSelectedNss, this, 2);
-    // Selecte rate should be the same as without diversity, as it uses 2 spatial streams so there
+    // Selected rate should be the same as without diversity, as it uses 2 spatial streams so there
     // is no more benefits from diversity in AWGN channels
     Simulator::Schedule(Seconds(9.2),
                         &IdealRateManagerMimoTest::CheckLastSelectedMode,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wifi/test/wifi-transmit-mask-test.cc ns-3.38/src/wifi/test/wifi-transmit-mask-test.cc
--- ns-3.37/src/wifi/test/wifi-transmit-mask-test.cc	2022-11-01 17:37:24.763395800 -0700
+++ ns-3.38/src/wifi/test/wifi-transmit-mask-test.cc	2023-03-16 20:54:23.876869400 -0700
@@ -89,7 +89,7 @@
     */
     void InterpolateAndAppendValues(IndexPowerVect& vect,
                                     IndexPowerPair start,
-                                    IndexPowerPair stop);
+                                    IndexPowerPair stop) const;
 
     WifiStandard m_standard; ///< the wifi standard to use for the test
     WifiPhyBand m_band;      ///< the wifi PHY band to use for the test
@@ -253,7 +253,7 @@
 void
 WifiOfdmMaskSlopesTestCase::InterpolateAndAppendValues(IndexPowerVect& vect,
                                                        IndexPowerPair start,
-                                                       IndexPowerPair stop)
+                                                       IndexPowerPair stop) const
 {
     NS_LOG_FUNCTION(start.first << start.second << stop.first << stop.second);
     NS_ASSERT(start.first <= stop.first);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wifi/test/wifi-txop-test.cc ns-3.38/src/wifi/test/wifi-txop-test.cc
--- ns-3.37/src/wifi/test/wifi-txop-test.cc	2022-11-01 17:37:24.763395800 -0700
+++ ns-3.38/src/wifi/test/wifi-txop-test.cc	2023-03-16 20:54:23.876869400 -0700
@@ -339,7 +339,7 @@
 WifiTxopTest::CheckResults()
 {
     Time tEnd;                        // TX end for a frame
-    Time tStart;                      // TX start fot the next frame
+    Time tStart;                      // TX start for the next frame
     Time txopStart;                   // TXOP start time
     Time tolerance = NanoSeconds(50); // due to propagation delay
     Time sifs = DynamicCast<WifiNetDevice>(m_apDevices.Get(0))->GetPhy()->GetSifs();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/examples/wimax-ipv4.cc ns-3.38/src/wimax/examples/wimax-ipv4.cc
--- ns-3.37/src/wimax/examples/wimax-ipv4.cc	2022-11-01 17:37:24.763395800 -0700
+++ ns-3.38/src/wimax/examples/wimax-ipv4.cc	2023-03-16 20:54:23.876869400 -0700
@@ -28,7 +28,7 @@
 // scheduling type UGS, the second one rtPS and the third one BE.
 // Senders SSs send some stamped IP packets with variable bitrate to receiver SSs
 // through the BS station. receiver SSs receive the IP packets analyze them and
-// based on a sequnece number decide if all the packets are coorectly received
+// based on a sequence number decide if all the packets are coorectly received
 
 //      +-----+    +-----+    +-----+
 //      | SS0 |    | SS1 |    | SS2 |
@@ -144,7 +144,7 @@
     Ipv4InterfaceContainer BSinterface = address.Assign(bsDevs);
     if (verbose)
     {
-        wimax.EnableLogComponents(); // Turn on all wimax logging
+        WimaxHelper::EnableLogComponents(); // Turn on all wimax logging
     }
     /*------------------------------*/
     UdpServerHelper* udpServer = new UdpServerHelper[nbSS / 2];
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/examples/wimax-multicast.cc ns-3.38/src/wimax/examples/wimax-multicast.cc
--- ns-3.37/src/wimax/examples/wimax-multicast.cc	2022-11-01 17:37:24.763395800 -0700
+++ ns-3.38/src/wimax/examples/wimax-multicast.cc	2023-03-16 20:54:23.876869400 -0700
@@ -157,7 +157,7 @@
     bsDevs.Add(dev);
     if (verbose)
     {
-        wimax.EnableLogComponents(); // Turn on all wimax logging
+        WimaxHelper::EnableLogComponents(); // Turn on all wimax logging
     }
 
     for (int i = 0; i < nbSS; i++)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/examples/wimax-simple.cc ns-3.38/src/wimax/examples/wimax-simple.cc
--- ns-3.37/src/wimax/examples/wimax-simple.cc	2022-11-01 17:37:24.763395800 -0700
+++ ns-3.38/src/wimax/examples/wimax-simple.cc	2023-03-16 20:54:23.876869400 -0700
@@ -136,7 +136,7 @@
 
     if (verbose)
     {
-        wimax.EnableLogComponents(); // Turn on all wimax logging
+        WimaxHelper::EnableLogComponents(); // Turn on all wimax logging
     }
     /*------------------------------*/
     UdpServerHelper udpServer;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/bs-net-device.cc ns-3.38/src/wimax/model/bs-net-device.cc
--- ns-3.37/src/wimax/model/bs-net-device.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/bs-net-device.cc	2023-03-16 20:54:23.876869400 -0700
@@ -920,7 +920,7 @@
 
     /*either DCD and UCD must be created first because CCC is set during their
      creation, or CCC must be calculated first so that it could be set during
-     creation of DL-MAP and UL-MAP and then set duirng creation of DCD and UCD*/
+     creation of DL-MAP and UL-MAP and then set during creation of DCD and UCD*/
 
     if (sendDcd)
     {
@@ -990,7 +990,7 @@
     OfdmDlMapIe* dlMapIe;
     Cid cid;
 
-    while (downlinkBursts->size())
+    while (!downlinkBursts->empty())
     {
         pair = downlinkBursts->front();
         burst = pair.second;
@@ -1001,18 +1001,9 @@
         if (cid != GetInitialRangingConnection()->GetCid() &&
             cid != GetBroadcastConnection()->GetCid())
         {
-            if (m_serviceFlowManager->GetServiceFlow(cid) != nullptr)
-            {
-                modulationType =
-                    GetBurstProfileManager()->GetModulationType(diuc,
-                                                                WimaxNetDevice::DIRECTION_DOWNLINK);
-            }
-            else
-            {
-                modulationType =
-                    GetBurstProfileManager()->GetModulationType(diuc,
-                                                                WimaxNetDevice::DIRECTION_DOWNLINK);
-            }
+            modulationType =
+                GetBurstProfileManager()->GetModulationType(diuc,
+                                                            WimaxNetDevice::DIRECTION_DOWNLINK);
         }
         else
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/bs-scheduler.cc ns-3.38/src/wimax/model/bs-scheduler.cc
--- ns-3.37/src/wimax/model/bs-scheduler.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/bs-scheduler.cc	2023-03-16 20:54:23.876869400 -0700
@@ -68,7 +68,7 @@
 {
     std::list<std::pair<OfdmDlMapIe*, Ptr<PacketBurst>>>* downlinkBursts = m_downlinkBursts;
     std::pair<OfdmDlMapIe*, Ptr<PacketBurst>> pair;
-    while (downlinkBursts->size())
+    while (!downlinkBursts->empty())
     {
         pair = downlinkBursts->front();
         pair.second = nullptr;
@@ -99,7 +99,7 @@
     NS_LOG_INFO("BS Scheduler, CheckForFragmentation");
     if (connection->GetType() != Cid::TRANSPORT)
     {
-        NS_LOG_INFO("\t No Transport connction, Fragmentation IS NOT possible");
+        NS_LOG_INFO("\t No Transport connection, Fragmentation IS NOT possible");
         return false;
     }
     uint32_t availableByte = GetBs()->GetPhy()->GetNrBytes(availableSymbols, modulationType);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/bs-scheduler-rtps.cc ns-3.38/src/wimax/model/bs-scheduler-rtps.cc
--- ns-3.37/src/wimax/model/bs-scheduler-rtps.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/bs-scheduler-rtps.cc	2023-03-16 20:54:23.876869400 -0700
@@ -72,7 +72,7 @@
 {
     std::list<std::pair<OfdmDlMapIe*, Ptr<PacketBurst>>>* downlinkBursts = m_downlinkBursts;
     std::pair<OfdmDlMapIe*, Ptr<PacketBurst>> pair;
-    while (downlinkBursts->size())
+    while (!downlinkBursts->empty())
     {
         pair = downlinkBursts->front();
         pair.second = nullptr;
@@ -149,7 +149,7 @@
 
     BSSchedulerBEConnection(availableSymbols);
 
-    if (m_downlinkBursts->size())
+    if (!m_downlinkBursts->empty())
     {
         NS_LOG_DEBUG(
             "BS scheduler, number of bursts: "
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/bs-scheduler-simple.cc ns-3.38/src/wimax/model/bs-scheduler-simple.cc
--- ns-3.37/src/wimax/model/bs-scheduler-simple.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/bs-scheduler-simple.cc	2023-03-16 20:54:23.876869400 -0700
@@ -71,7 +71,7 @@
 {
     std::list<std::pair<OfdmDlMapIe*, Ptr<PacketBurst>>>* downlinkBursts = m_downlinkBursts;
     std::pair<OfdmDlMapIe*, Ptr<PacketBurst>> pair;
-    while (downlinkBursts->size())
+    while (!downlinkBursts->empty())
     {
         pair = downlinkBursts->front();
         pair.second = nullptr;
@@ -220,7 +220,7 @@
         }
     }
 
-    if (m_downlinkBursts->size())
+    if (!m_downlinkBursts->empty())
     {
         NS_LOG_DEBUG(
             "BS scheduler, number of bursts: "
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/bs-uplink-scheduler-mbqos.cc ns-3.38/src/wimax/model/bs-uplink-scheduler-mbqos.cc
--- ns-3.37/src/wimax/model/bs-uplink-scheduler-mbqos.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/bs-uplink-scheduler-mbqos.cc	2023-03-16 20:54:23.876869400 -0700
@@ -681,7 +681,7 @@
 UplinkSchedulerMBQoS::CheckDeadline(uint32_t& availableSymbols)
 {
     // for each request in the imermediate queue
-    if (m_uplinkJobs_inter.size() > 0)
+    if (!m_uplinkJobs_inter.empty())
     {
         std::list<Ptr<UlJob>>::iterator iter = m_uplinkJobs_inter.begin();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/bs-uplink-scheduler-rtps.h ns-3.38/src/wimax/model/bs-uplink-scheduler-rtps.h
--- ns-3.37/src/wimax/model/bs-uplink-scheduler-rtps.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/bs-uplink-scheduler-rtps.h	2023-03-16 20:54:23.876869400 -0700
@@ -188,7 +188,7 @@
     void SetupServiceFlow(SSRecord* ssRecord, ServiceFlow* serviceFlow) override;
 
     /**
-     * Process bandwidth requet function
+     * Process bandwidth request function
      * \param bwRequestHdr the bandwidth request header
      */
     void ProcessBandwidthRequest(const BandwidthRequestHeader& bwRequestHdr) override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/bs-uplink-scheduler-simple.h ns-3.38/src/wimax/model/bs-uplink-scheduler-simple.h
--- ns-3.37/src/wimax/model/bs-uplink-scheduler-simple.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/bs-uplink-scheduler-simple.h	2023-03-16 20:54:23.876869400 -0700
@@ -143,7 +143,7 @@
     void SetupServiceFlow(SSRecord* ssRecord, ServiceFlow* serviceFlow) override;
 
     /**
-     * Process bandwidth requet function
+     * Process bandwidth request function
      * \param bwRequestHdr the bandwidth request header
      */
     void ProcessBandwidthRequest(const BandwidthRequestHeader& bwRequestHdr) override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/burst-profile-manager.cc ns-3.38/src/wimax/model/burst-profile-manager.cc
--- ns-3.37/src/wimax/model/burst-profile-manager.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/burst-profile-manager.cc	2023-03-16 20:54:23.876869400 -0700
@@ -149,7 +149,7 @@
 uint8_t
 BurstProfileManager::GetBurstProfileForSS(const SSRecord* ssRecord,
                                           const RngReq* rngreq,
-                                          WimaxPhy::ModulationType& modulationType)
+                                          WimaxPhy::ModulationType& modulationType) const
 {
     /*during initial ranging or periodic ranging (or when RNG-REQ is used instead of
      DBPC) calculates the least robust burst profile for SS, e.g., based on distance,
@@ -160,7 +160,7 @@
 }
 
 WimaxPhy::ModulationType
-BurstProfileManager::GetModulationTypeForSS(const SSRecord* ssRecord, const RngReq* rngreq)
+BurstProfileManager::GetModulationTypeForSS(const SSRecord* ssRecord, const RngReq* rngreq) const
 {
     return GetModulationType(rngreq->GetReqDlBurstProfile(), WimaxNetDevice::DIRECTION_DOWNLINK);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/burst-profile-manager.h ns-3.38/src/wimax/model/burst-profile-manager.h
--- ns-3.37/src/wimax/model/burst-profile-manager.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/burst-profile-manager.h	2023-03-16 20:54:23.876869400 -0700
@@ -90,14 +90,15 @@
      */
     uint8_t GetBurstProfileForSS(const SSRecord* ssRecord,
                                  const RngReq* rngreq,
-                                 WimaxPhy::ModulationType& modulationType);
+                                 WimaxPhy::ModulationType& modulationType) const;
     /**
      * \brief Get module ation type for SS
      * \param ssRecord
      * \param rngreq
      * \returns the burst profile for SS
      */
-    WimaxPhy::ModulationType GetModulationTypeForSS(const SSRecord* ssRecord, const RngReq* rngreq);
+    WimaxPhy::ModulationType GetModulationTypeForSS(const SSRecord* ssRecord,
+                                                    const RngReq* rngreq) const;
     /**
      * \brief Get burst profile to request
      * \returns the burst profile for SS
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/bvec.h ns-3.38/src/wimax/model/bvec.h
--- ns-3.37/src/wimax/model/bvec.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/bvec.h	2023-03-16 20:54:23.876869400 -0700
@@ -26,7 +26,7 @@
 namespace ns3
 {
 /// boolean vector typedef
-typedef std::vector<bool> bvec;
+typedef std::vector<bool> Bvec;
 } // namespace ns3
 
 #endif /* BVEC_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/cid.cc ns-3.38/src/wimax/model/cid.cc
--- ns-3.37/src/wimax/model/cid.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/cid.cc	2023-03-16 20:54:23.876869400 -0700
@@ -114,7 +114,7 @@
 }
 
 /**
- * \brief output stream output opertor
+ * \brief output stream output operator
  * \param os output stream
  * \param cid CID
  * \returns output stream
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/crc8.cc ns-3.38/src/wimax/model/crc8.cc
--- ns-3.37/src/wimax/model/crc8.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/crc8.cc	2023-03-16 20:54:23.876869400 -0700
@@ -44,7 +44,8 @@
     0x4E, 0x49, 0x40, 0x47, 0x52, 0x55, 0x5C, 0x5B, 0x76, 0x71, 0x78, 0x7F, 0x6A, 0x6D, 0x64, 0x63,
     0x3E, 0x39, 0x30, 0x37, 0x22, 0x25, 0x2C, 0x2B, 0x06, 0x01, 0x08, 0x0F, 0x1A, 0x1D, 0x14, 0x13,
     0xAE, 0xA9, 0xA0, 0xA7, 0xB2, 0xB5, 0xBC, 0xBB, 0x96, 0x91, 0x98, 0x9F, 0x8A, 0x8D, 0x84, 0x83,
-    0xDE, 0xD9, 0xD0, 0xD7, 0xC2, 0xC5, 0xCC, 0xCB, 0xE6, 0xE1, 0xE8, 0xEF, 0xFA, 0xFD, 0xF4, 0xF3};
+    0xDE, 0xD9, 0xD0, 0xD7, 0xC2, 0xC5, 0xCC, 0xCB, 0xE6, 0xE1, 0xE8, 0xEF, 0xFA, 0xFD, 0xF4, 0xF3,
+};
 
 uint8_t
 CRC8Calculate(const uint8_t* data, int length)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/cs-parameters.h ns-3.38/src/wimax/model/cs-parameters.h
--- ns-3.37/src/wimax/model/cs-parameters.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/cs-parameters.h	2023-03-16 20:54:23.876869400 -0700
@@ -55,13 +55,13 @@
      * \param classifierDscAction the DCS action type
      * \param classifier the IPCS classifier record
      */
-    CsParameters(enum Action classifierDscAction, IpcsClassifierRecord classifier);
+    CsParameters(Action classifierDscAction, IpcsClassifierRecord classifier);
     /**
      * \brief sets the dynamic service classifier action to ADD, Change or delete. Only ADD is
      * supported
      * \param action the action enumeration
      */
-    void SetClassifierDscAction(enum Action action);
+    void SetClassifierDscAction(Action action);
     /**
      * \brief sets the packet classifier rules
      * \param packetClassifierRule the IPCS classifier record
@@ -70,7 +70,7 @@
     /**
      * \return the  dynamic service classifier action
      */
-    enum Action GetClassifierDscAction() const;
+    Action GetClassifierDscAction() const;
     /**
      * \return the  the packet classifier rules
      */
@@ -82,7 +82,7 @@
     Tlv ToTlv() const;
 
   private:
-    enum Action m_classifierDscAction;           ///< classifier DSC action
+    Action m_classifierDscAction;                ///< classifier DSC action
     IpcsClassifierRecord m_packetClassifierRule; ///< packet classifier rule
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/default-traces.h ns-3.38/src/wimax/model/default-traces.h
--- ns-3.37/src/wimax/model/default-traces.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/default-traces.h	2023-03-16 20:54:23.876869400 -0700
@@ -99,7 +99,8 @@
 
     {1.00000, 1.00000, 1.00000, 1.00000, 0.99941, 0.98950, 0.93732, 0.82094, 0.63678, 0.46376,
      0.29889, 0.18367, 0.10537, 0.06123, 0.03703, 0.01889, 0.01326, 0.00661, 0.00431, 0.00238,
-     0.00175, 0.00048, 0.00108, 0.00000, 0.00030, 0.00030, 0.00000, 0.00000, 0.00000}};
+     0.00175, 0.00048, 0.00108, 0.00000, 0.00030, 0.00030, 0.00000, 0.00000, 0.00000},
+};
 
 static const double modulation1[6][42] = {
 
@@ -135,7 +136,8 @@
      0.32219, 0.25960, 0.20713, 0.15527, 0.12453, 0.09355, 0.07386, 0.05968, 0.04018,
      0.03313, 0.02742, 0.02028, 0.01294, 0.01107, 0.00897, 0.00593, 0.00454, 0.00454,
      0.00238, 0.00238, 0.00135, 0.00135, 0.00188, 0.00162, 0.00030, 0.00064, 0.00048,
-     0.00000, 0.00108, 0.00030, 0.00000, 0.00030, 0.00000}};
+     0.00000, 0.00108, 0.00030, 0.00000, 0.00030, 0.00000},
+};
 
 static const double modulation2[6][96] = {
 
@@ -201,7 +203,8 @@
      0.00535, 0.00547, 0.00454, 0.00324, 0.00336, 0.00336, 0.00300, 0.00175, 0.00275, 0.00188,
      0.00238, 0.00162, 0.00175, 0.00226, 0.00162, 0.00188, 0.00122, 0.00048, 0.00135, 0.00094,
      0.00064, 0.00000, 0.00094, 0.00030, 0.00094, 0.00030, 0.00030, 0.00030, 0.00048, 0.00048,
-     0.00064, 0.00030, 0.00048, 0.00000, 0.00000, 0.00000}};
+     0.00064, 0.00030, 0.00048, 0.00000, 0.00000, 0.00000},
+};
 
 static const double modulation3[6][117] = {
 
@@ -278,7 +281,8 @@
      0.00201, 0.00188, 0.00213, 0.00122, 0.00122, 0.00175, 0.00135, 0.00048, 0.00094, 0.00162,
      0.00108, 0.00122, 0.00064, 0.00122, 0.00108, 0.00122, 0.00030, 0.00079, 0.00079, 0.00064,
      0.00048, 0.00048, 0.00048, 0.00048, 0.00048, 0.00079, 0.00000, 0.00030, 0.00000, 0.00030,
-     0.00048, 0.00079, 0.00048, 0.00030, 0.00030, 0.00079, 0.00000}};
+     0.00048, 0.00079, 0.00048, 0.00030, 0.00030, 0.00079, 0.00000},
+};
 
 static const double modulation4[6][331] = {
 
@@ -492,7 +496,8 @@
      0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000,
      0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000,
      0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000,
-     0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000}};
+     0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000, 0.000000},
+};
 
 static const double modulation5[6][547] = {
 
@@ -821,7 +826,8 @@
      0.01490, 0.01500, 0.01479, 0.01413, 0.01348, 0.01184, 0.01074, 0.01173, 0.01008, 0.01304,
      0.01041, 0.01206, 0.01151, 0.01304, 0.01272, 0.00952, 0.01250, 0.01052, 0.00852, 0.01063,
      0.01085, 0.01118, 0.00952, 0.01283, 0.01107, 0.00819, 0.01008, 0.00975, 0.01140, 0.00952,
-     0.00875, 0.00919}};
+     0.00875, 0.00919},
+};
 
 static const double modulation6[6][626] = {
 
@@ -1179,7 +1185,8 @@
      0.03313, 0.02806, 0.02870, 0.03028, 0.02944, 0.02901, 0.02774, 0.03018, 0.02901, 0.03134,
      0.02848, 0.03261, 0.03134, 0.02626, 0.02711, 0.02445, 0.02519, 0.02445, 0.03123, 0.03060,
      0.02488, 0.02296, 0.02135, 0.02028, 0.02891, 0.02221, 0.02328, 0.02317, 0.02509, 0.02221,
-     0.02753, 0.02604, 0.02103, 0.02328, 0.02200, 0.01953, 0.02210, 0.01964, 0.01943}};
+     0.02753, 0.02604, 0.02103, 0.02328, 0.02200, 0.01953, 0.02210, 0.01964, 0.01943},
+};
 
 /** @}*/
 } // namespace ns3
